The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

please help with perl upgrade 5.6.1 to 5.8

Discussion in 'General Discussion' started by dalecpanel, Nov 18, 2003.

  1. dalecpanel

    dalecpanel Member

    Joined:
    Nov 27, 2002
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Please could someone tell me how to upgrade perl 5.6.1 to Perl 5.8. I have a module that requires that version.

    I’m running WHM 8.5.4 cPanel 8.5.4-R72 , RedHat 7.3 - WHM X v2.1.1 and I’ve selected ( Allow perl updates from rpm based linux vendors ) in the tweak setting.

    I tried every upgrade option.

    Update Server Software
    Update System Software
    Update Backend Scripts

    &
    Upgrade to Latest Version

    I’m sure its simple ;) , Please help! (beg, beg, beg, )

    Thanks in advance,
    Dale Wilson
    Dale@able-huber.com
     
  2. Edi

    Edi Member

    Joined:
    Sep 21, 2003
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
  3. dalecpanel

    dalecpanel Member

    Joined:
    Nov 27, 2002
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for the reply

    Do you know of any problems with cPanel after I perform the above install?

    Dale
     
  4. Nico

    Nico Well-Known Member

    Joined:
    Dec 5, 2001
    Messages:
    233
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Edmond, OK
    I've noticed that Image Magick no longer works after the update to 5.8.1. After upgrading to the stable version at www.imagemagick.org it works fine again.
     
  5. pguy

    pguy Well-Known Member

    Joined:
    Feb 21, 2003
    Messages:
    73
    Likes Received:
    0
    Trophy Points:
    6
    We have installed Perl 5.8.1 , but our customers still get the error :
    Can't locate DBI.pm in @INC (@INC contains: /usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1 /usr/lib/perl5/site_perl/5.6.1/i386-linux /usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.6.1/i386-linux /usr/lib/perl5/vendor_perl/5.6.1 /usr/lib/perl5/vendor_perl .) at /home/smart/public_html/cgi-bin/crontest.cgi line 9.
    BEGIN failed--compilation aborted at /home/smart/public_html/cgi-bin/crontest.cgi

    The DBI module was reinstalled too. Any clues as to why it is referencing the old perl ?
     
  6. scollins

    scollins Active Member
    PartnerNOC

    Joined:
    Jul 3, 2003
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    null
    cPanel Access Level:
    DataCenter Provider

    You will still need to run:

    /scripts/perlinstaller DBI DBD::mysql

    That will fix the problem.
     
  7. daveman692

    daveman692 Member

    Joined:
    Sep 15, 2002
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Did a RedHat 7.3 to 9 upgrade and am having a similar error. Have downloaded and ran the perl5.8.1 installer from cpanel with no luck.
    /usr/bin/perl: relocation error: /usr/lib/perl5/site_perl/5.6.1/i686-linux/auto/Net/DNS/DNS.so: undefined symbol: perl_get_sv

    Thanks
     
Loading...

Share This Page